/**
 * -------------------------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation.  All Rights Reserved.  Licensed under the MIT License.
 * See License in the project root for license information.
 * -------------------------------------------------------------------------------------------
 */
import { customElementHelper } from '../components/customElementHelper';
export const buildComponentName = (tagBase) => `${customElementHelper.prefix}-${tagBase}`;
export const registerComponent = (tagBase, constructor, options) => {
    const tagName = buildComponentName(tagBase);
    if (!customElements.get(tagName))
        customElements.define(tagName, constructor, options);
};
//# sourceMappingURL=registerComponent.js.map